<?php
/**
 * @package Sj News Extra Slider
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

	$options	= $params->toObject();
		
	$image_config = array(
		'output_width'  => $params->get('item_image_width',  200),
		'output_height' => $params->get('item_image_height', 200),
		'function'		=> $params->get('item_image_function', 'resize_none'),
		'background'	=> $params->get('item_image_background', null)
	);
	
    $count_product = count($list);
	$numcols = $options->nb_cols * $options->nb_rows;
	$countnumbt = ceil($options->source_limit/$numcols);
    if($count_product > 0){
		$sumrows = floor($count_product/$numcols);
		if($count_product%$numcols){
			$sumrows+=1;
		}
    }else{
		$sumrows = 0;
	}

	 if($options->theme == 'basic1' || $options->theme == 'spotlight2'){
		$countpage = ($sumrows * 13) + 12;
	 }
	 elseif($options->theme == 'basic2' || $options->theme == 'spotlight1'){
		 $countpage = ($sumrows * 25) + 25;
	 }


    $widthItem = $options->item_image_width + 10;
    $countWidth = $options->item_image_width * $options->nb_rows; 
    $countHeight = $options->item_image_height * 2;
    $countPadding1 = $options->nb_rows * 10;
    $countPadding2 = $options->nb_rows * 13;  
    $widthcountbuttonpage = ($sumrows * 12);    
    
	$show_content = ($options->item_title_display == 1) || ($options->item_desc_display ==1) || ($options->item_price_display) || ($options->item_readmore_display);
	
	$width_module = $countWidth + $countPadding2;
    
?>


<?php ob_start(); ?>
    #yt-extra-<?php echo $module->id; ?> .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> .yt_extra_inner .vertical {
        width: <?php echo $countWidth + $countPadding1 ?>px;
        padding-right: 10px;                
    }
    #yt-extra-<?php echo $module->id; ?> .yt_extra_slider {        
       width:<?php echo $width_module; ?>px 
    } 
    
    
    #yt-extra-<?php echo $module->id; ?> .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> div .yt_item_opacity{ 
        width:<?php echo ($options->item_image_width -10); ?>px;
        height: auto;
        background-color:<?php echo $options->bgOpacity;?>;
    }
    
    #yt-extra-<?php echo $module->id; ?> .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> .yt_num_buttons{
        width:<?php echo $widthcountbuttonpage;?>px;
		
    }    
    #yt-extra-<?php echo $module->id; ?> .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> div.yt_item_content{
        background-color:<?php echo $options->bgContent; ?>;
    }    
    #yt-extra-<?php echo $module->id; ?> .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> .yt_item_title a, .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> .yt_item_title{
        color:<?php echo $options->item_title_color;?>;
		font-size:15px;
    }    
    #yt-extra-<?php echo $module->id; ?> .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> .yt_item_desc{
        color:<?php echo $options->item_desc_color;?>;
    }        
	#yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> .yt_item_readmore a{
        color:<?php echo $options->item_desc_color;?>;
    }
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?> {
        width: <?php echo ($countWidth + $countPadding2); ?>px;
    }
    
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  hr.hr_tb{
        width: <?php echo ($countWidth + $countPadding1)+12; ?>px;
    }    
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_content{
        width: <?php echo ($countWidth + $countPadding2) + 12; ?>px;
    }
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_content ul{
        width: <?php echo ($countWidth + $countPadding2) + 12; ?>px;
    }
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_content ul li{
        width: <?php echo ($countWidth + $countPadding2) + 12; ?>px;
    }
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_content ul li .yt_slide_content{
        width: <?php echo ($countWidth + $countPadding2) + 12; ?>px; 
        float:left;
    }
    
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_content ul li .yt_slide_content .yt_item_thumb{
        
        height:<?php echo $options->item_image_height;?>px
    }    
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .spotlight1 .yt_extra_content ul li .yt_slide_content .yt-main-item, #yt_extra_wrapper<?php echo $module->id;?>  .spotlight2 .yt_extra_content ul li .yt_slide_content .yt-main-item{
         height:<?php echo $options->item_image_height;?>px;
         width:<?php echo $options->item_image_width;?>px
        
    }
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_content ul li .yt_slide_content .yt-main-item .yt_item_content{
        width:<?php echo ($options->item_image_width-10);?>px !important
    }    
    #yt-extra-<?php echo $module->id; ?> #yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_content ul li .yt_slide_content .yt-main-item .yt_item_opacity{
        width:<?php echo ($options->item_image_width-10);?>px !important;
		margin-bottom:5px;
    }	
    #yt-extra-<?php echo $module->id; ?>, #yt-extra-<?php echo $module->id; ?> .yt_extra_introtext, #yt-extra-<?php echo $module->id; ?> .yt_extra_footertext{
        width: <?php echo $width_module;?>px;
        overflow: hidden
    }
	#yt_extra_wrapper<?php echo $module->id;?>  .yt_item_opacity .yt_item_readmore{
    float: right
	}
	#yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_inner .yt_num_buttons{
	overflow: hidden
	}
	#yt_extra_wrapper<?php echo $module->id;?>  .yt_extra_inner .yt_num_buttons ul{
		padding: 0px!important;
		margin: 0px!important
	}
	#yt_extra_wrapper<?php echo $module->id;?>  .spotlight2 .yt_num_buttons{
		float: left
	}
	#yt_extra_wrapper<?php echo $module->id;?>  .yt_item_opacity .yt_item_content{
    line-height: 13px;
    letter-spacing: 0px;
    font-size: 11px;
    padding:0px 3px 0px 3px;
    margin-top: 4px;
    text-align: left;
	}
	#yt_extra_wrapper<?php echo $module->id;?>  div .yt_item_opacity{    
    position: absolute; 
    overflow: hidden;	
	bottom: 0px;
	color: #FFFFFF;
    opacity:.8; /* css standard */
    filter:alpha(opacity=80); /* IE patch */
    z-index: 3;
}
	#yt_extra_wrapper<?php echo $module->id;?>  .yt_item_opacity .yt_item_title{
    font-weight: bold;  
    margin-bottom: 3px;
	font-size: 13px
	}
	#yt_extra_wrapper<?php echo $module->id;?> {
    background: #FFFFFF; 
    overflow:hidden; 
	}
	div #yt_top_slide<?php echo $module->id;?>{
    float:right;
    width: auto;
    height: 27px;   
	}
	div #yt_top_slide<?php echo $module->id;?> .yt_prev_button{
	float:left;
	position:relative;
	z-index:99999;
	}

	div #yt_top_slide<?php echo $module->id;?> .yt_next_button{
	float:left;
	position:relative;
	z-index:99999;
	}
    <?php if(($options->theme == 'basic2') || ($options->theme == 'spotlight1')){?>
    #yt-extra-<?php echo $module->id; ?> #yt_top_slide<?php echo $module->id;?> {
        width: <?php echo (16+16+22);?>px;
    }
    <?php }else{?>
    #yt-extra-<?php echo $module->id; ?> .yt_extra_inner #yt_extra_main_<?php echo $module->id;?> #yt_top_slide<?php echo $module->id;?>{    
        width: <?php echo $countpage; ?>px;
     }
    <?php } ?>    
<?php $style_theme1 = ob_get_contents(); 
@ob_end_clean();
$document = &JFactory::getDocument();
$document->addStyleDeclaration($style_theme1);?>
 <?php if($options->theme == 'basic1'){?>
<script type="text/javascript">
$jsmart(document).ready(function($) {
   
    $("#yt_extra_main_<?php echo $module->id;?> .yt_extra_content").yt_extra_slider({
        btnNext: "#yt_extra_main_<?php echo $module->id;?> .next_v2",
        btnPrev: "#yt_extra_main_<?php echo $module->id;?> .pre_v2",
        speed: <?php echo $options->slideshow_speed;?>,
        moduleId:<?php echo $module->id;?>,
        thumbHeight:<?php echo $options->item_image_height;?>,
        easing: "easeinout",
       <?php if($options->effect == 'vertical'){ ?>
        vertical: true,
        <?php } ?>
        auto:<?php echo $options->play;?>,
		visible: 1

    });
});  	
	</script>
    <?php } ?>  
	
<?php if( $options->theme == 'spotlight2'){?>
<script type="text/javascript">
$jsmart(document).ready(function($) {
   
    $("#yt_extra_main_<?php echo $module->id;?> .yt_extra_content").yt_extra_slider({
        btnNext: "#yt_extra_main_<?php echo $module->id;?> .next_v2",
        btnPrev: "#yt_extra_main_<?php echo $module->id;?> .pre_v2",
        speed: <?php echo $options->slideshow_speed;?>,
        moduleId:<?php echo $module->id;?>,
        thumbHeight:<?php echo $options->item_image_height;?>,
        easing: "easeinout",
       <?php if($options->effect == 'vertical'){ ?>
        vertical: true,
        <?php } ?>
        auto:<?php echo $options->play;?>,
		visible: 1

    });
});  	
	</script>
    <?php } ?> 	

    <?php if($options->theme == 'basic2'  ){?>
<script type="text/javascript">
$jsmart(document).ready(function($) {  
  $("#yt_extra_main_<?php echo $module->id;?> .yt_extra_content").yt_extra_slider({
        btnNext: "#yt_extra_main_<?php echo $module->id;?> .next",
        btnPrev: "#yt_extra_main_<?php echo $module->id;?> .prev",
        speed: <?php echo $options->slideshow_speed;?>,
        moduleId:<?php echo $module->id;?>,
        thumbHeight:<?php echo $options->item_image_height;?>,
        easing: "easeinout",
        <?php if($options->effect == 'vertical'){ ?>
        vertical: true,
        <?php } ?>
        auto:<?php echo $options->play;?>,
		visible: 1
    });
  
});        
 </script>
   <?php } ?> 
   
     <?php if($options->theme == 'spotlight1' ){?>
<script type="text/javascript">
$jsmart(document).ready(function($) {  
  $("#yt_extra_main_<?php echo $module->id;?> .yt_extra_content").yt_extra_slider({
        btnNext: "#yt_extra_main_<?php echo $module->id;?> .next",
        btnPrev: "#yt_extra_main_<?php echo $module->id;?> .prev",
        speed: <?php echo $options->slideshow_speed;?>,
        moduleId:<?php echo $module->id;?>,
        thumbHeight:<?php echo $options->item_image_height;?>,
        easing: "easeinout",
        <?php if($options->effect == 'vertical'){ ?>
        vertical: true,
        <?php } ?>
        auto:<?php echo $options->play;?>,
		visible: 1
    });
  
});        
 </script>
   <?php } ?>   
   
 <?php 
 $uniqued='sj_extraslider'.rand().time();
 ?>
<?php if (!empty($list)){ ?>
<div id="yt-extra-<?php echo $module->id; ?>">
     <?php if (!empty($options->pretext)){ ?>
    <div class="yt_extra_introtext"><?php echo $options->pretext; ?></div>
    <?php } ?>


		<div class="yt_extra_slider <?php echo $options->theme; ?>" id="<?php echo  $uniqued;?>" >	
			  <?php 	include JModuleHelper::getLayoutPath($module->module, $params->get('theme', 'basic1')) ;?>
		</div>


    <?php if (!empty($options->posttext)){ ?>
    <div class="yt_extra_footertext"><?php echo $options->posttext; ?></div>
    <?php } ?>

    </div>
<?php }else{ ?>
<p>There are no product matching selection!</p>
<?php } ?>
